Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974035 - configuration not loaded, when missing /proc/sys entry
configuration not loaded, when missing /proc/sys entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuna (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Petr Oros
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1015062
  Show dependency treegraph
 
Reported: 2013-06-13 06:28 EDT by Jiri Kastner
Modified: 2013-10-03 07:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: tuna-0.11.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1015062 (view as bug list)
Environment:
Last Closed: 2013-08-01 23:38:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-06-13 06:28:41 EDT
Description of problem:
when tuna is launched on some custom kernel with missing /proc/sys entry, configuration is not loaded.

Version-Release number of selected component (if applicable):
0.11

How reproducible:
always

Steps to Reproduce:
1. edit /etc/tuna/example.conf and put there nonsense /proc/sys entry with some value (e.g. kernel.crap = 1000 to [kernel] section)
2. run runa
3. check results

Actual results:
dialog with warning 'File not found: /proc/sys/kernel.crap' appears
'Profile management' tab not loaded

Expected results:
automatically commented wrong entry

Additional info:
Comment 1 Fedora Update System 2013-07-29 04:12:55 EDT
tuna-0.11.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tuna-0.11.1-1.fc19
Comment 2 Fedora Update System 2013-07-30 13:32:58 EDT
Package tuna-0.11.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuna-0.11.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13851/tuna-0.11.1-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-01 02:30:45 EDT
tuna-0.11.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuna-0.11.1-1.fc18
Comment 4 Fedora Update System 2013-08-01 23:38:05 EDT
tuna-0.11.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-08-06 19:39:31 EDT
tuna-0.11.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.